[arch-commits] Commit in mail-notification/repos (3 files)

Jan de Groot jgc at archlinux.org
Mon Apr 20 17:34:27 EDT 2009


    Date: Monday, April 20, 2009 @ 17:34:26
  Author: jgc
Revision: 36284

Merged revisions 36283 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/mail-notification/trunk

........
  r36283 | jgc | 2009-04-20 21:34:09 +0000 (Mon, 20 Apr 2009) | 2 lines
  
  upgpkg: mail-notification 5.4-2
      Fix FS#14272
........

Modified:
  mail-notification/repos/extra-i686/	(properties)
  mail-notification/repos/extra-i686/PKGBUILD
  mail-notification/repos/extra-i686/mail-notification.install

---------------------------+
 PKGBUILD                  |   24 ++++++++++--------------
 mail-notification.install |    2 --
 2 files changed, 10 insertions(+), 16 deletions(-)


Property changes on: mail-notification/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /mail-notification/trunk:1-14003
   + /mail-notification/trunk:1-36283

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-20 21:34:09 UTC (rev 36283)
+++ extra-i686/PKGBUILD	2009-04-20 21:34:26 UTC (rev 36284)
@@ -3,16 +3,13 @@
 
 pkgname=mail-notification
 pkgver=5.4
-pkgrel=1
+pkgrel=2
 pkgdesc="Tray icon application that informs you if you have new mail"
 arch=('i686' 'x86_64')
 url="http://www.nongnu.org/mailnotify/"
 license=('GPL3' 'FDL')
-depends=('eel>=2.18.0-2' 'cyrus-sasl-plugins' 'gmime>=2.2.6' 'libnotify>=0.4.4'
-         'gconf>=2.18.0.1-4' 'gnome-keyring' 'hicolor-icon-theme'
-         'desktop-file-utils' 'notification-daemon' 'libgnomeui')
-makedepends=('gob2' 'perlxml' 'evolution>=2.12' 'evolution-data-server'
-             'gnome-doc-utils>=0.12.0')
+depends=('cyrus-sasl-plugins' 'gmime>=2.2.21' 'libnotify>=0.4.5' 'gnome-keyring>=2.26.1' 'hicolor-icon-theme' 'notification-daemon' 'libgnomeui>=2.24.1')
+makedepends=('gob2' 'intltool' 'evolution>=2.26.1.1' 'gnome-doc-utils>=0.16.0')
 options=('!libtool' '!emptydirs')
 install=mail-notification.install
 source=(http://savannah.nongnu.org/download/mailnotify/${pkgname}-${pkgver}.tar.bz2
@@ -23,21 +20,20 @@
          '9cadd61bbd9c324b2916ec980231e0f2')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
 
-  patch -Np0 -i ../dont-update-cache.patch
-  patch -Np0 -i ../remove-ubuntu-special-case.patch
+  patch -Np0 -i "${srcdir}/dont-update-cache.patch" || return 1
+  patch -Np0 -i "${srcdir}/remove-ubuntu-special-case.patch" || return 1
 
   ./jb configure prefix=/usr sysconfdir=/etc \
-              localstatedir=/var destdir=${startdir}/pkg \
+              localstatedir=/var destdir="${pkgdir}" \
               gconf-schemas-dir=/etc/gconf/schemas install-gconf-schemas=yes \
               cflags="${CFLAGS}" cppflags="${CXXFLAGS}" ldflags="${LDFLAGS}" \
               library-mode=0755 || return 1
   ./jb build || return 1
   GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 ./jb install || return 1
 
-  mkdir -p ${startdir}/pkg/usr/share/gconf/schemas
-  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas \
-    ${startdir}/pkg/etc/gconf/schemas/*.schemas
-  rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
+  install -m755 -d "${pkgdir}/usr/share/gconf/schemas"
+  gconf-merge-schema ${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas --domain mail-notification ${pkgdir}/etc/gconf/schemas/*.schemas || return 1
+  rm -f ${pkgdir}/etc/gconf/schemas/*.schemas
 } 

Modified: extra-i686/mail-notification.install
===================================================================
--- extra-i686/mail-notification.install	2009-04-20 21:34:09 UTC (rev 36283)
+++ extra-i686/mail-notification.install	2009-04-20 21:34:26 UTC (rev 36284)
@@ -4,7 +4,6 @@
   usr/sbin/gconfpkg --install ${pkgname}
   kill -s HUP `pidof bonobo-activation-server` > /dev/null 2>&1
   gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
-  update-desktop-database -q
 }
 
 pre_upgrade() {
@@ -22,5 +21,4 @@
 post_remove() {
   kill -s HUP `pidof bonobo-activation-server` > /dev/null 2>&1
   gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
-  update-desktop-database -q
 }



More information about the arch-commits mailing list